Bug 7815 - Order pickup library list by name rather than by code
Summary: Order pickup library list by name rather than by code
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Sophie MEYNIEUX
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-23 14:00 UTC by Sophie MEYNIEUX
Modified: 2013-12-05 19:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Order the pickup library list by name (849 bytes, patch)
2012-03-23 14:12 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7815 : Order pickup libraries list by name rather than by code (910 bytes, patch)
2012-06-09 16:19 UTC, Marijana Glavica
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sophie MEYNIEUX 2012-03-23 14:00:47 UTC
When you want to place a hold on a document (reserve/request.pl), pickup library shows a list of Libraries order by code rather than by name.
This patch reorder this list
Comment 1 Sophie MEYNIEUX 2012-03-23 14:12:10 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-04-01 21:06:28 UTC
Hi Sophie, 
I tried to replicate the problem on the holds page in staff and in the OPAC. In both places my branches appeared in alphabetical order. Can you give me a hint where or in which case the order is wrong?
Comment 3 Marijana Glavica 2012-06-09 16:19:43 UTC
Created attachment 10046 [details] [review]
[SIGNED-OFF] Bug 7815 : Order pickup libraries list by name rather than by code

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>
Comment 4 Paul Poulain 2012-06-10 11:08:48 UTC
(In reply to comment #2)
> Hi Sophie, 
> I tried to replicate the problem on the holds page in staff and in the OPAC.
> In both places my branches appeared in alphabetical order. Can you give me a
> hint where or in which case the order is wrong?

In order to reproduce this problem, the order of code must differ from the order of descriptions.
For example:
code   Description
X      library street X
A      that is another library

Before the patch, A appears before X (and if you've 20+ libraries, you'll face pain to find the one you want !), after the patch, it's ordered by description


QA comment: tiny patch, sorting a hash, passed QA
Comment 5 Paul Poulain 2012-06-10 11:09:43 UTC
more a bugfix than an ENH, worth porting on 3.8 even if minor
Comment 6 Chris Cormack 2012-06-14 00:59:30 UTC
Pushed to 3.8.x, will be in 3.8.2